Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

change project to rails-datatables

Signed-off-by: Sakchai Siripanyawuth <sakchai@artellectual.com>
  • Loading branch information...
commit 15887a12a3783c37bd94bfb9bab90f559939465c 1 parent a94f583
@zacksiri zacksiri authored
View
2  Gemfile.lock
@@ -1,7 +1,7 @@
PATH
remote: .
specs:
- simple_datatables (0.1)
+ rails-datatables (0.1)
meta_search
rails (~> 3.1.0.rc5)
will_paginate (~> 3.0.pre2)
View
4 lib/simple_datatables.rb → lib/rails_datatables.rb
@@ -2,8 +2,8 @@
Mime::Type.register "application/json", :datatables
-module SimpleDatatables
+module RailsDatatables
module Rails
- require 'simple_datatables/engine'
+ require 'rails_datatables/engine'
end
end
View
2  lib/simple_datatables/engine.rb → lib/rails_datatables/engine.rb
@@ -3,7 +3,7 @@
require 'jsonify-rails'
require 'meta_search'
-module SimpleDatatables
+module RailsDatatables
module Rails
class Engine < ::Rails::Engine
end
View
3  lib/rails_datatables/version.rb
@@ -0,0 +1,3 @@
+module RailsDatatables
+ VERSION = "0.3.0"
+end
View
3  lib/simple_datatables/version.rb
@@ -1,3 +0,0 @@
-module SimpleDatatables
- VERSION = "0.2.0"
-end
View
23 rails_datatables.gemspec
@@ -0,0 +1,23 @@
+$:.push File.expand_path("../lib", __FILE__)
+require "rails_datatables/version"
+
+Gem::Specification.new do |s|
+ s.name = "rails-datatables"
+ s.version = RailsDatatables::VERSION
+ s.platform = Gem::Platform::RUBY
+ s.authors = ["Grigory", "Zack"]
+ s.email = ["sakchai@artellectual.com"]
+ s.homepage = "http://github.com/artellectual/rails-datatables"
+ s.summary = %q{Rails datatables to rails mapping using meta_search, will_paginage / Kaminari and jsonify}
+ s.description = %q{Rails datatables to rails mapping using meta_search, will_paginage / Kaminari and jsonify}
+
+ s.rubyforge_project = "data_table"
+
+ s.files = `git ls-files`.split("\n")
+ s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
+ s.require_paths = ["lib"]
+
+ s.add_dependency "rails", "~> 3.1.0"
+ s.add_dependency "meta_search", '~> 1.1.0'
+ s.add_dependency "jsonify-rails"
+end
View
23 simple_datatables.gemspec
@@ -1,23 +0,0 @@
-$:.push File.expand_path("../lib", __FILE__)
-require "simple_datatables/version"
-
-Gem::Specification.new do |s|
- s.name = "simple_datatables"
- s.version = SimpleDatatables::VERSION
- s.platform = Gem::Platform::RUBY
- s.authors = ["Grigory"]
- s.email = ["grigory@snsk.ru"]
- s.homepage = "http://github.com/gryphon/simple_datatables"
- s.summary = %q{Simple datatables to rails mapping using meta_search, will_paginage and jsonify}
- s.description = %q{Simple datatables to rails mapping using meta_search, will_paginage and jsonify}
-
- s.rubyforge_project = "data_table"
-
- s.files = `git ls-files`.split("\n")
- s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
- s.require_paths = ["lib"]
-
- s.add_dependency "rails", "~> 3.1.0"
- s.add_dependency "meta_search", '~> 1.1.0'
- s.add_dependency "jsonify-rails"
-end
Please sign in to comment.
Something went wrong with that request. Please try again.